borg-repo-list(1)

Name
borg-repo-list - List the archives contained in a repository.

SYNOPSIS

borg [common options] repo-list [options]

DESCRIPTION

This command lists the archives contained in a repository.

OPTIONS

See borg-common(1) for common options of Borg commands.

  options

    --short
        only print the archive IDs, nothing else

    --format FORMAT
        specify format for archive listing (default: "{archive:<36} {time} [{id}]{NL}")

    --json
        Format output as JSON. The form of --format is ignored, but keys used in it are added to the JSON output. Some keys are always present. Note: JSON can only represent text.

  Archive filters

    -a PATTERN, --match-archives PATTERN
        only consider archives matching all patterns. See "borg help match-archives".

    --sort-by KEYS
        Comma-separated list of sorting keys; valid keys are: timestamp, archive, name, id, tags, host, user; default is: timestamp

    --first N
        consider the first N archives after other filters are applied

    --last N
        consider the last N archives after other filters are applied

    --oldest TIMESPAN
        consider archives between the oldest archive's timestamp and (oldest + TIMESPAN), e.g., 7d or 12m.

    --newest TIMESPAN
        consider archives between the newest archive's timestamp and (newest - TIMESPAN), e.g., 7d or 12m.

    --older TIMESPAN
        consider archives older than (now - TIMESPAN), e.g., 7d or 12m.

    --newer TIMESPAN
        consider archives newer than (now - TIMESPAN), e.g., 7d or 12m.

    --deleted
        consider only soft-deleted archives.

EXAMPLES

            $ borg repo-list
            151b1a57  Mon, 2024-09-23 22:57:11 +0200  docs             tw          MacBook-Pro  this is a comment
            3387a079  Thu, 2024-09-26 09:07:07 +0200  scripts          tw          MacBook-Pro
            ca774425  Thu, 2024-09-26 10:05:23 +0200  scripts          tw          MacBook-Pro
            ba56c4a5  Thu, 2024-09-26 10:12:45 +0200  src              tw          MacBook-Pro
            7567b79a  Thu, 2024-09-26 10:15:07 +0200  scripts          tw          MacBook-Pro
            21ab3600  Thu, 2024-09-26 10:15:17 +0200  docs             tw          MacBook-Pro
            ...

NOTES

  The FORMAT specifier syntax

The --format option uses Python's format string syntax <https://docs.python.org/3.10/library/string.html#formatstrings>.

Examples:

            $ borg repo-list --format '{archive}{NL}'
            ArchiveFoo
            ArchiveBar
            ...

            # {VAR:NUMBER} - pad to NUMBER columns.
            # Strings are left-aligned, numbers are right-aligned.
            # Note: time columns except ``isomtime``, ``isoctime`` and ``isoatime`` cannot be padded.
            $ borg repo-list --format '{archive:36} {time} [{id}]{NL}' /path/to/repo
            ArchiveFoo                           Thu, 2021-12-09 10:22:28 [0b8e9...3b274]
            ...

The following keys are always available:

    •   NEWLINE: OS dependent line separator

    •   NL: alias of NEWLINE

    •   NUL: NUL character for creating print0 / xargs -0 like output

    •   SPACE: space character

    •   TAB: tab character

    •   CR: carriage return character

    •   LF: line feed character

Keys available only when listing archives in a repository:

    •   archive: archive name

    •   name: alias of "archive"

    •   comment: archive comment

    •   id: internal ID of the archive

    •   tags: archive tags

    •   start: time (start) of creation of the archive

    •   time: alias of "start"

    •   end: time (end) of creation of the archive

    •   command_line: command line which was used to create the archive

    •   hostname: hostname of host on which this archive was created

    •   username: username of user who created this archive

    •   size: size of this archive (data plus metadata, not considering compression and deduplication)

    •   nfiles: count of files in this archive

SEE ALSO

borg-common(1)

Author
The Borg Collective